1513 comments

i'm not able to run meteor project, it gives me an error that i need to rebuild node-sass binary and when the server starts there is no output in the browser..pls help
can u share the template with me please? im a startup guy and cant purchase it right now but i do promise i will come back in future and will pay for it if my project is sold. i just dont want to download a previous version of this template from a pirate site coz that will be a complete theft and i do want to pay whenever i can.
my email is [email protected]
can we use this template using laravel 5.4? if yes, can you provide instruction or documentation. pls help
can u share the template with me please? im a startup guy and cant purchase it right now but i do promise i will come back in future and will pay for it if my project is sold. i just dont want to download a previous version of this template from a pirate site coz that will be a complete theft and i do want to pay whenever i can.
my email is [email protected]
So I understand that authentication is outside the scope of the template, but I'm trying to do it with the rubix-relay project and cannot figure out how to save the headers needed for relay to do auth correctly. I see where you wrapped defaultNetworkLayer with setNetworkLayer, and I've tried to set a header property like the relay docs show, but it never saves - something overwrites it. Is there a way to make that work?
can u share the template with me please? im a startup guy and cant purchase it right now but i do promise i will come back in future and will pay for it if my project is sold. i just dont want to download a previous version of this template from a pirate site coz that will be a complete theft and i do want to pay whenever i can.
my email is [email protected]
No. Just pay for it, it's well worth the money. You're discussing stealing this right on the guy's product page. Grow a brain "startup guy".
if its stealing then what would downloading it from a pirate site be? where as i'm promising ill pay when i can but right now i really cant
Hi! Nice theme, congrats!
#1 - Is it compatible with Meteor 1.5.2.2?
#2 - Can the main view be configured to have a dark background?
Thanks!
Buenas cuando implemento un storybook para crear componente no se aplican los estilos.
Hey Skethpixy,
I am a developer for a team that purchased your project

How do I change the color of the text in the sidebar?
I am not affiliated with Sketchpixy, but I had the same problem. There doesn't seem to be any way to customize the sidebar through the Rubix themes, so you have to do it with CSS. The text in the sidebar items is in a <span> with class "name", so you can write something like:

span.name {
color: blue;
}
Thanks Simon!
Hi , I am using rubix template with redux and graphql in my application, for my server side I am using c#.net , I need to deploy in IIS , i have searched the documentation but i couldnt find anyway. I need index.html to deploy the website in IIS but in the template we are having only index.pug from which the html file is being built during run time . can you help me with this ??
See http://rubix-docs.sketchpixy.com/node/creating-distributables

You need to run "npm run dist -s" to create the distributable in the "dist" folder.
Hello,
Very nice theme!!
I wonder if there is a tutorial on how to use the template with ReactJS.

I'm getting errors after using the import statement for components of the theme.
e.g.
import { Button } from '@sketchpixy/rubix';

I get errors like:
TypeError: Cannot read property 'func' of undefined
./node_modules/react-overlays/lib/RootCloseWrapper.js
node_modules/react-overlays/lib/RootCloseWrapper.js:152
149 | /**
150 | * Callback fired after click or mousedown. Also triggers when user hits `esc`.
151 | */
> 152 | onRootClose: _react2.default.PropTypes.func,
153 | /**
154 | * Children to render.
155 | */
View compiled
__webpack_require__
/home/gpatil/portal/webpack/bootstrap aada32b56610630808b2:678
675 | };
676 |
677 | // Execute the module function
> 678 | modules[moduleId].call(module.exports, module, module.exports, hotCreateRequire(moduleId));
679 |
680 | // Flag the module as loaded
681 | module.l = true;

Could you please help me to resolve this issue?
I am having the same issue too !!!
Are all the components in live preview ported to ReactJS?
Hi, i've installed node-seed version without problems and it works fine
But i've seen some warnings like this:
Warning: Accessing PropTypes via the main React package is deprecated, and will be removed in React v16.0. Use the latest available v15.* prop-types package from npm instead. For info on usage, compatibility, migration and more, see https://fb.me/prop-types-docs
[2] [dev:server] Warning: Accessing createClass via the main React package is deprecated, and will be removed in React v16.0. Use a plain JavaScript class instead. If you're not yet ready to migrate, create-react-class v15.* is available on npm as a temporary, drop-in replacement. For more info see https://fb.me/react-create-class

Are you plan to updated Rubix soon ?
Thanks
We really need this update as well. The project already uses react v15.*, but it doesn't use the "prop-types" package, but instead uses "React.PropTypes", which causes these warnings. Unfortunately, the warnings muddy up our test outputs A LOT. For every test that uses a component that uses rubix, we get 1-2 warnings.

It's a relatively simple update. Anywhere the seller uses "createClass" or "PropTypes" from the "react" package, it just needs to be replaced with a true javascript class or the "prop-types" package.

i.e. "SomeClass = createClass(...)" needs to become "class SomeClass()", and any time "import { PropTypes } from 'react'" is used, it needs to be replaced with "import PropTypes from 'prop-types'"

Any plan to update this soon? For every test involving rubix (which is the majority), we receive 2 warnings as the previous comment stated. It makes it incredibly difficult to review tests.
Hi

I bought the rubix template and I want to integrate the client-app with devise gem to manage authentication, I would like to know how is that posible, because I know that the integration with rails has an auto CSFR token in request but how can control it to get an authentication form.

Thanks in advance
I am successfully using a combination of:

- https://github.com/lynndylanhurley/devise_token_auth gem to handle a REST API authentication
- https://github.com/lynndylanhurley/j-toker JS library on the client side to talk to the devise_token_auth gem

These two are written by the same person, are specifically designed to work together, work with omniauth, and come with a fully functioning demo application and react code.
Sierra PURCHASED
Hello,

I use MAMP with macOS, I already have functional Laravel installations, but how could I integrate Rubix into an existing Laravel project ...?

I am stuck here: "Class V8Js Not found" https://gyazo.com/c09ca88f2282995a24a76359958438e8
bashet PURCHASED
Hi,
I have purchased the templete intending to use for Meteor App. But could not make it work. There are few required dependencies has gone outdated and need them to be replaced by the latest one.

Please let me know the way around or refund my money.
I am using redux + graphql , I am unable to locate where redux store is defined and I dont find "Provider".

can you let me know where and how this is done in the template
Have you abandoned this prj?
I need a starting app using rubix with this features:
nodejs with few dependencies
users & roles management base on mysql DB
jwt auth and rest api

If someone can do or can has this, for pay logically, write me by email [email protected]
Thanks
Hi
How do I implement the logout functionality in the accepted answer here: https://stackoverflow.com/questions/35622588/how-to-reset-the-state-of-a-redux-store - I want to clear the entire state on logout, not just the bit of state concerning the logout reducer.

I notice there's a comment saying you'd document setupReducers in the next release, over a year ago, but I can't see it being documented?
purwadi PURCHASED
How To Install rubix on Ubuntu 16.04? can you share the doc tutorial?
Hi,
How to properly install the gmaps.js plugin in ReactJS version? I have followed the instructions in the documentation regarding the third party plugins installation and import it to the plugins.js. But still I could not make it work. I have this error in the console which says "Google Maps API is required. Please register the following JavaScript library https://maps.googleapis.com/maps/api/js.". I haven't placed any api key because I could not identify where I should put the link for the api. I have tried placing it in plugins.js but still it won't work.
Extremely pathetic documentation !!!

Write a comment

This is a great way to give the seller feedback and ask them questions about their item.

You must sign in to write a comment

Sign in or sign up to make a purchase

$24
5254Purchases

Licenses: Details »

Single application $24
Version:4.1.0
Type:
  • HTML Template
Bootstrap: Compatible with 3.3.x
Layouts:
  • Responsive
  • Fluid
  • Fixed-width
Browsers:
  • IE 9, 10, 11
  • Latest Chrome
  • Latest Firefox
  • Latest Safari
Uses Less:No
Uses Sass:Yes
Category:
Labels: admin, bootstrap, dashboard, graphql, laravel, meteor, rails, reactjs, redux, relay
Item#:WB09498FH
Released:4 years ago
Updated:2 years ago
Sold exclusively on WrapBootstrap
sketchpixy

sketchpixy

Signed up 4 years ago

Need a front-end template?

About Bootstrap

Bootstrap is designed to help people of all skill levels – designer or developer, huge nerd or early beginner. Use it as a complete kit or use it to start something more complex.

Unlike other front-end toolkits, Bootstrap was designed first and foremost as a styleguide to document not only its features, but best practices and living, coded examples.

Built to support new HTML5 elements and syntax with progressively enhanced components.

Browser support

Bootstrap is tested and supported in major modern browsers like Chrome, Firefox, and Internet Explorer.

Tested and supported in Chrome, Safari, Firefox, Internet Explorer, and Opera.
  • Latest Chrome
  • Latest Firefox
  • Latest Safari
  • Latest Edge
  • Internet Explorer 10/11
  • Latest Opera

Features & includes

Bootstrap provides an unparalleled array of features and reusable components that let you hit the ground running:

  • Responsive 12-column grid
  • 12 custom, modular jQuery plugins
  • CSS styles for forms, navigation & more
  • Dozens of reusable components
  • Components are scaled according to a range of resolutions and devices
  • Built with Sass (CSS included)
  • Complete styleguide documentation